Issue 82849 - Excel XML filter loses dates
Summary: Excel XML filter loses dates
Status: CONFIRMED
Alias: None
Product: Calc
Classification: Application
Component: open-import (show other issues)
Version: OOo 2.3
Hardware: All All
: P3 Trivial with 6 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
: 83023 115227 (view as issue list)
Depends on:
Blocks:
 
Reported: 2007-10-22 13:41 UTC by pagalmes.lists
Modified: 2014-01-16 13:49 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
The example file under Excel (62.14 KB, image/png)
2007-10-22 13:42 UTC, pagalmes.lists
no flags Details
The file opened under OOo (63.00 KB, image/png)
2007-10-22 13:43 UTC, pagalmes.lists
no flags Details
The example file (132.16 KB, application/vnd.ms-excel)
2007-10-22 13:43 UTC, pagalmes.lists
no flags Details
Adjust Excel 2003 XML import filter to accept complete datetime values (424 bytes, text/plain)
2009-05-29 00:22 UTC, pturmel
no flags Details
Unconditional treatment of Excel 2003 XML DateTime values as office:date-value. (1.34 KB, text/plain)
2009-05-29 00:33 UTC, pturmel
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description pagalmes.lists 2007-10-22 13:41:59 UTC
When importing Excel XML files, the dates are badly imported. See Screenshots.
You can test with the example file
Comment 1 pagalmes.lists 2007-10-22 13:42:35 UTC
Created attachment 49067 [details]
The example file under Excel
Comment 2 pagalmes.lists 2007-10-22 13:43:05 UTC
Created attachment 49068 [details]
The file opened under OOo
Comment 3 pagalmes.lists 2007-10-22 13:43:47 UTC
Created attachment 49069 [details]
The example file
Comment 4 frank 2007-10-22 14:37:52 UTC
Hi Swante,

please proceed aas needed. I think such tasks should be closed in favour of the
new MSO XML filters.

Frank
Comment 5 frank 2007-10-22 14:37:57 UTC
Hi Swante,

please proceed aas needed. I think such tasks should be closed in favour of the
new MSO XML filters.

Frank
Comment 6 frank 2007-10-29 13:26:47 UTC
*** Issue 83023 has been marked as a duplicate of this issue. ***
Comment 7 donv 2008-05-04 18:09:45 UTC
Hi!

How do I use "the new MSO XML filters" in OOO 2.3 ?


Uwe Kubosch
Norway
Comment 8 svante.schubert 2008-12-05 13:20:33 UTC
Changed target to "OOo please help" as I need help from the community!

The Office 2003 filters are no longer maintained by myself. My priority has
shifted to the ODF file format and the ODF Toolkit project (e.g. ODFDOM) and
even MS is working now on OOXML instead of their old XML 2003 formats, therefore
Sun has been implemented and is now supporting the OOXML import filter with OOo 3.0.

Kind regards,
Svante
Comment 9 pturmel 2009-05-29 00:22:08 UTC
Created attachment 62628 [details]
Adjust Excel 2003 XML import filter to accept complete datetime values
Comment 10 pturmel 2009-05-29 00:33:54 UTC
Created attachment 62629 [details]
Unconditional treatment of Excel 2003 XML DateTime values as office:date-value.
Comment 11 pturmel 2009-05-29 00:39:09 UTC
The two patches I attached resolve this problem in different ways.  The original
filter examined the format applied to the cell to choose either the date or the
time to import.  In case no format was applied, it would import as date if the
time part was exactly midnight.

My patch #1 modifies the substring to import dates as date-times, and times as
just times.

My patch #2 unconditionally imports both date and time parts as a date-time.

Comments, anyone?
Comment 12 schoonermonaro 2010-07-18 05:15:25 UTC
Thanks pturmel,
Patch 1 worked for me - date/time format now imports correctly from Excel xml file.

(For users like me who are unfamiliar with OO xml filters, I modified the
C:\Program Files (x86)\OpenOffice.org
3\Basis\share\xslt\import\spreadsheetml\spreadsheetml2000.xsl file by removing
the line pturmel marked with a "-" and adding the line marked with a "+" in
his/her attachment.

I expect there may be a more elegant way of editing the file, but this worked
for me)
Comment 13 Edwin Sharp 2014-01-16 13:49:04 UTC
*** Issue 115227 has been marked as a duplicate of this issue. ***